module(...)
--magic editor build
DATA={
	atk_stophit=true,
	cmds={
		[1]={
			args={action_name=[[attack2]],excutor=[[atkobj]],},
			func_name=[[PlayAction]],
			start_time=0,
		},
		[2]={
			args={
				excutor=[[atkobj]],
				face_to=[[fixed_pos]],
				pos={base_pos=[[vic]],depth=0,relative_angle=0,relative_dis=0,},
				time=0,
			},
			func_name=[[FaceTo]],
			start_time=0,
		},
		[3]={args={alive_time=0.5,},func_name=[[Name]],start_time=0,},
		[4]={args={},func_name=[[MagcAnimStart]],start_time=0.88,},
		[5]={
			args={
				alive_time=1,
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_410/Prefabs/410_attack2.prefab]],
					preload=true,
				},
				effect_dir_type=[[relative]],
				effect_pos={base_pos=[[atk]],depth=0,relative_angle=0,relative_dis=0,},
				excutor=[[atkobj]],
				relative_dir={base_pos=[[atkobj]],depth=0,relative_angle=0,relative_dis=0,},
			},
			func_name=[[StandEffect]],
			start_time=1.25,
		},
		[6]={
			args={
				alive_time=1,
				bind_type=[[pos]],
				body_pos=[[waist]],
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_410/Prefabs/410_hit2.prefab]],
					preload=true,
				},
				excutor=[[vicobj]],
				height=0,
			},
			func_name=[[BodyEffect]],
			start_time=2.3,
		},
		[7]={
			args={
				consider_hight=false,
				damage_follow=true,
				face_atk=true,
				hurt_delta=0,
				play_anim=true,
			},
			func_name=[[VicHitInfo]],
			start_time=2.3,
		},
		[8]={args={},func_name=[[MagcAnimEnd]],start_time=2.4,},
		[9]={args={},func_name=[[End]],start_time=3.09,},
	},
	group_cmds={},
	magic_anim_end_time=2.4,
	magic_anim_start_time=0.88,
	pre_load_res={
		[1]=[[Effect/Magic/magic_eff_new_410/Prefabs/410_attack2.prefab]],
		[2]=[[Effect/Magic/magic_eff_new_410/Prefabs/410_hit2.prefab]],
	},
	run_env=[[war]],
	type=1,
	wait_goback=true,
}
